> For the complete documentation index, see [llms.txt](https://api.lampix.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.lampix.co/application-development/lampixjs/api/transformrectcoords.md).

# transformRectCoords

Convert coordinates from a rectangle descriptor using camera coordinates to projector coordinates (or vice versa).

## Returns

(`Promise<RectCoords[]>`): A promise that fulfills with a list of rectangle descriptors with converted coordinates.

## Example

```javascript
import lampix from '@lampix/core';

lampix.transformRectCoords({
  posX: 100,
  posY: 200,
  width: 30,
  height: 100,
  camera: true
}).then((transformCoordinates) => {
  console.log(transformCoordinates[0]); // fictitious values: { posX: 200, posY: 400, width: 60, height: 200 }
});
```

## Notes

**It's important to understand** the difference between Lampix and the simulator when using this function:

* Lampix will return real coordinates as seen in either the camera or the projector.
* The simulator will return values that depend on the `scaleFactor` property in its config, which defaults to `1`, meaning it will return the same values if the `scaleFactor` was not changed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.lampix.co/application-development/lampixjs/api/transformrectcoords.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
